Ruby: cls_struct_align Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
cls_struct_align Struct Reference

## Data Fields
unsigned char | a
double | b
unsigned char | c
float | b
long double | b
long double | a
long double | c
long double | d
long double | e
long double | f
long double | g
double | f
void * | b
signed short | b
signed int | b
signed long long | b
unsigned short | b
unsigned int | b
unsigned long long | b

## Detailed Description

Definition at line 12 of file cls_align_double.c.

## Field Documentation

## ◆ a [1/2]

unsigned char cls_struct_align::a

Definition at line 13 of file cls_align_double.c.

Referenced by cls_struct_align_fn(), cls_struct_align_fn2(), and main().

## ◆ a [2/2]

long double cls_struct_align::a

Definition at line 15 of file cls_align_longdouble_split.c.

## ◆ b [1/10]

long double cls_struct_align::b

Definition at line 14 of file cls_align_double.c.

Referenced by cls_struct_align_fn(), cls_struct_align_fn2(), and main().

## ◆ b [2/10]

float cls_struct_align::b

Definition at line 12 of file cls_align_float.c.

## ◆ b [3/10]

long double cls_struct_align::b

Definition at line 13 of file cls_align_longdouble.c.

## ◆ b [4/10]

void* cls_struct_align::b

Definition at line 12 of file cls_align_pointer.c.

## ◆ b [5/10]

signed short cls_struct_align::b

Definition at line 12 of file cls_align_sint16.c.

## ◆ b [6/10]

signed int cls_struct_align::b

Definition at line 12 of file cls_align_sint32.c.

## ◆ b [7/10]

signed long long cls_struct_align::b

Definition at line 13 of file cls_align_sint64.c.

## ◆ b [8/10]

unsigned short cls_struct_align::b

Definition at line 12 of file cls_align_uint16.c.

## ◆ b [9/10]

unsigned int cls_struct_align::b

Definition at line 12 of file cls_align_uint32.c.

## ◆ b [10/10]

unsigned long long cls_struct_align::b

Definition at line 14 of file cls_align_uint64.c.

## ◆ c [1/2]

unsigned char cls_struct_align::c

Definition at line 15 of file cls_align_double.c.

Referenced by cls_struct_align_fn(), cls_struct_align_fn2(), and main().

## ◆ c [2/2]

long double cls_struct_align::c

Definition at line 17 of file cls_align_longdouble_split.c.

## ◆ d

long double cls_struct_align::d

Definition at line 18 of file cls_align_longdouble_split.c.

Referenced by cls_struct_align_fn(), cls_struct_align_fn2(), and main().

## ◆ e

long double cls_struct_align::e

Definition at line 19 of file cls_align_longdouble_split.c.

Referenced by cls_struct_align_fn(), cls_struct_align_fn2(), and main().

## ◆ f [1/2]

long double cls_struct_align::f

Definition at line 20 of file cls_align_longdouble_split.c.

Referenced by cls_struct_align_fn(), cls_struct_align_fn2(), and main().

## ◆ f [2/2]

double cls_struct_align::f

Definition at line 21 of file cls_align_longdouble_split2.c.

## ◆ g

long double cls_struct_align::g

Definition at line 21 of file cls_align_longdouble_split.c.

Referenced by cls_struct_align_fn(), cls_struct_align_fn2(), and main().

The documentation for this struct was generated from the following files:

- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/cls_align_double.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/cls_align_float.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/cls_align_longdouble.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/cls_align_longdouble_split.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/cls_align_longdouble_split2.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/cls_align_pointer.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/cls_align_sint16.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/cls_align_sint32.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/cls_align_sint64.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/cls_align_uint16.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/cls_align_uint32.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/cls_align_uint64.c